Class | GetoptLong
In: | lib/standard/facets/getoptlong.rb
Parent: | Object

# GetoptLong

Ruby‘s standard GetoptLong class with an added DSL.

      opts = GetoptLong.new do
        reqs '--expect', '-x'
        flag '--help', '-h'
      end

See GetoptLong::DSL for details.

### Methods

new

### Classes and Modules

Class GetoptLong::DSL

### External Aliases

initialize | -> | init

### Public Class methods

new(*arguments, &block)

[Validate]